﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace MaciejGrabek.WP7AccelerometerEmulatorProxy.Model
{
    [Serializable]
    internal class AccelerometerVector
    {
        public double X { get; set; }
        public double Y { get; set; }
        public double Z { get; set; }

        public static string CacheKey = "AccelerometerVector";

        public override string ToString()
        {
            return String.Format("{0};{1};{2}", X.ToString(System.Globalization.CultureInfo.InvariantCulture), Y.ToString(System.Globalization.CultureInfo.InvariantCulture), Z.ToString(System.Globalization.CultureInfo.InvariantCulture));
        }

        public static AccelerometerVector Empty { get { return new AccelerometerVector() { X = 0, Y = 0, Z = 0 }; } }
    }
}